package org.gcube.portlets.admin.systemservicedefinition.definition;

import java.io.Serializable;

/**
 * 
 * @author Giancarlo Panichi
 *
 */
public class DefinitionItem implements Serializable {

	private static final long serialVersionUID = 1L;

	private String clientId;
	private String description;
	private String secret;
	private String encryptedSecret;

	public DefinitionItem(String clientId, String description, String secret, String encryptedSecret) {
		super();
		this.clientId = clientId;
		this.description = description;
		this.secret = secret;
		this.encryptedSecret = encryptedSecret;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getSecret() {
		return secret;
	}

	public void setSecret(String secret) {
		this.secret = secret;
	}

	public String getEncryptedSecret() {
		return encryptedSecret;
	}

	public void setEncryptedSecret(String encryptedSecret) {
		this.encryptedSecret = encryptedSecret;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	@Override
	public String toString() {
		return "DefinitionItem [clientId=" + clientId + ", description=" + description + ", secret=" + secret
				+ ", encryptedSecret=" + encryptedSecret + "]";
	}

	

}
